LIBKECCAK_HMAC_FAST_DESTROY(3)

NAME
libkeccak_hmac_fast_destroy - Destroys an HMAC-hashing state without erasure

SYNOPSIS
#include <libkeccak.h>
void libkeccak_hamc_fast_destroy(struct libkeccak_hmac_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_fast_destroy() function releases the allocations stored in *state, without releasing the allocation of state itself.

The libkeccak_hmac_fast_destroy() function does not securely erase sensitive data.

RETURN VALUES
The libkeccak_hmac_fast_destroy() function does not return any value.

ERRORS
The libkeccak_state_fast_destroy() function cannot fail.

SEE ALSO
libkeccak_hmac_fast_free(3), libkeccak_hmac_destroy(3), libkeccak_hmac_initialise(3), libkeccak_hmac_reset(3), libkeccak_hmac_wipe(3)